#ifndef A0_REG_H_
#define A0_REG_H_

#define DIR0_ADDR_OTP               0X0
#define DIR1_ADDR_OTP               0X1
#define DEV_CONF                    0X2
#define ACTIVE_CELL                 0X3
#define OTP_SPARE12                 0X4
#define BB_POSN1                    0X5
#define BB_POSN2                    0X6
#define ADC_CONF1                   0X7
#define ADC_CONF2                   0X8
#define OV_THRESH                   0X9
#define UV_THRESH                   0XA
#define OTUT_THRESH                 0XB
#define GPIO_CONF1                  0XC
#define GPIO_CONF2                  0XD
#define GPIO_CONF3                  0XE
#define GPIO_CONF4                  0XF
#define FAULT_MSK1                  0X10
#define FAULT_MSK2                  0X11
#define PWR_TRANSIT_CONF            0X12
#define COMM_TIMEOUT_CONF           0X13
#define TX_HOLD_OFF                 0X14
#define MAIN_ADC_GAIN               0X15
#define MAIN_ADC_OFFSET             0X16
#define AUX_ADC_GAIN                0X17
#define AUX_ADC_OFFSET              0X18
#define CS_ADC_GAIN                 0X19
#define CS_ADC_OFFSET               0X1A
#define CUST_MISC1                  0X1B
#define CUST_MISC2                  0X1C
#define CUST_MISC3                  0X1D
#define CUST_MISC4                  0X1E
#define CUST_MISC5                  0X1F
#define CUST_MISC6                  0X20
#define CUST_MISC7                  0X21
#define CUST_MISC8                  0X22
#define OTP_SPARE11                 0X23
#define OTP_SPARE10                 0X24
#define OTP_SPARE9                  0X25
#define OTP_SPARE8                  0X26
#define OTP_SPARE7                  0X27
#define OTP_SPARE6                  0X28
#define OTP_SPARE5                  0X29
#define OTP_SPARE4                  0X2A
#define OTP_SPARE3                  0X2B
#define OTP_SPARE2                  0X2C
#define OTP_SPARE1                  0X2D
#define CUST_CRC_HI                 0X2E
#define CUST_CRC_LO                 0X2F
#define OTP_PROG_UNLOCK1A           0X300
#define OTP_PROG_UNLOCK1B           0X301
#define OTP_PROG_UNLOCK1C           0X302
#define OTP_PROG_UNLOCK1D           0X303
#define DIR0_ADDR                   0X306
#define DIR1_ADDR                   0X307
#define COMM_CTRL                   0X308
#define CONTROL1                    0X309
#define CONTROL2                    0X30A
#define OTP_PROG_CTRL               0X30B
#define ADC_CTRL1                   0X30D
#define ADC_CTRL2                   0X30E
#define ADC_CTRL3                   0X30F
#define CB_CELL16_CTRL              0X318
#define CB_CELL15_CTRL              0X319
#define CB_CELL14_CTRL              0X31A
#define CB_CELL13_CTRL              0X31B
#define CB_CELL12_CTRL              0X31C
#define CB_CELL11_CTRL              0X31D
#define CB_CELL10_CTRL              0X31E
#define CB_CELL9_CTRL               0X31F
#define CB_CELL8_CTRL               0X320
#define CB_CELL7_CTRL               0X321
#define CB_CELL6_CTRL               0X322
#define CB_CELL5_CTRL               0X323
#define CB_CELL4_CTRL               0X324
#define CB_CELL3_CTRL               0X325
#define CB_CELL2_CTRL               0X326
#define CB_CELL1_CTRL               0X327
#define VMB_DONE_THRESH             0X328
#define MB_TIMER_CTRL               0X329
#define VCB_DONE_THRESH             0X32A
#define OTCB_THRESH                 0X32B
#define OVUV_CTRL                   0X32C
#define OTUT_CTRL                   0X32D
#define BAL_CTRL1                   0X32E
#define BAL_CTRL2                   0X32F
#define FAULT_RST1                  0X331
#define FAULT_RST2                  0X332
#define DIAG_OTP_CTRL               0X335
#define DIAG_COMM_CTRL              0X336
#define DIAG_PWR_CTRL               0X337
#define DIAG_CBFET_CTRL1            0X338
#define DIAG_CBFET_CTRL2            0X339
#define DIAG_COMP_CTRL1             0X33A
#define DIAG_COMP_CTRL2             0X33B
#define DIAG_COMP_CTRL3             0X33C
#define DIAG_COMP_CTRL4             0X33D
#define DIAG_PROT_CTRL              0X33E
#define OTP_ECC_DATAIN1             0X343
#define OTP_ECC_DATAIN2             0X344
#define OTP_ECC_DATAIN3             0X345
#define OTP_ECC_DATAIN4             0X346
#define OTP_ECC_DATAIN5             0X347
#define OTP_ECC_DATAIN6             0X348
#define OTP_ECC_DATAIN7             0X349
#define OTP_ECC_DATAIN8             0X34A
#define OTP_ECC_DATAIN9             0X34B
#define OTP_ECC_TEST                0X34C
#define SPI_CONF                    0X34D
#define SPI_TX3                     0X34E
#define SPI_TX2                     0X34F
#define SPI_TX1                     0X350
#define SPI_EXE                     0X351
#define OTP_PROG_UNLOCK2A           0X352
#define OTP_PROG_UNLOCK2B           0X353
#define OTP_PROG_UNLOCK2C           0X354
#define OTP_PROG_UNLOCK2D           0X355
#define DEBUG_CTRL_UNLOCK           0X700
#define DEBUG_COMM_CTRL1            0X701
#define DEBUG_COMM_CTRL2            0X702
#define PARTID                      0X500
#define DIE_ID1                     0X501
#define DIE_ID2                     0X502
#define DIE_ID3                     0X503
#define DIE_ID4                     0X504
#define DIE_ID5                     0X505
#define DIE_ID6                     0X506
#define DIE_ID7                     0X507
#define DIE_ID8                     0X508
#define DIE_ID9                     0X509
#define CUST_CRC_RSLT_HI            0X50C
#define CUST_CRC_RSLT_LO            0X50D
#define OTP_ECC_DATAOUT1            0X510
#define OTP_ECC_DATAOUT2            0X511
#define OTP_ECC_DATAOUT3            0X512
#define OTP_ECC_DATAOUT4            0X513
#define OTP_ECC_DATAOUT5            0X514
#define OTP_ECC_DATAOUT6            0X515
#define OTP_ECC_DATAOUT7            0X516
#define OTP_ECC_DATAOUT8            0X517
#define OTP_ECC_DATAOUT9            0X518
#define OTP_PROG_STAT               0X519
#define OTP_CUST1_STAT              0X51A
#define OTP_CUST2_STAT              0X51B
#define SPI_RX3                     0X520
#define SPI_RX2                     0X521
#define SPI_RX1                     0X522
#define DIAG_STAT                   0X527
#define ADC_STAT1                   0X528
#define ADC_STAT2                   0X529
#define GPIO_STAT                   0X52A
#define BAL_STAT                    0X52B
#define DEV_STAT                    0X52C
#define FAULT_SUMMARY               0X52D
#define FAULT_COMM1                 0X530
#define FAULT_COMM2                 0X531
#define FAULT_COMM3                 0X532
#define FAULT_OTP                   0X535
#define FAULT_SYS                   0X536
#define FAULT_PROT1                 0X53A
#define FAULT_PROT2                 0X53B
#define FAULT_OV1                   0X53C
#define FAULT_OV2                   0X53D
#define FAULT_UV1                   0X53E
#define FAULT_UV2                   0X53F
#define FAULT_OT                    0X540
#define FAULT_UT                    0X541
#define FAULT_COMP_GPIO             0X543
#define FAULT_COMP_VCCB1            0X545
#define FAULT_COMP_VCCB2            0X546
#define FAULT_COMP_VCOW1            0X548
#define FAULT_COMP_VCOW2            0X549
#define FAULT_COMP_CBOW1            0X54B
#define FAULT_COMP_CBOW2            0X54C
#define FAULT_COMP_CBFET1           0X54E
#define FAULT_COMP_CBFET2           0X54F
#define FAULT_COMP_MISC             0X550
#define FAULT_PWR1                  0X552
#define FAULT_PWR2                  0X553
#define FAULT_PWR3                  0X554
#define CB_COMPLETE1                0X556
#define CB_COMPLETE2                0X557
#define VCELL16_HI                  0X568
#define VCELL16_LO                  0X569
#define VCELL15_HI                  0X56A
#define VCELL15_LO                  0X56B
#define VCELL14_HI                  0X56C
#define VCELL14_LO                  0X56D
#define VCELL13_HI                  0X56E
#define VCELL13_LO                  0X56F
#define VCELL12_HI                  0X570
#define VCELL12_LO                  0X571
#define VCELL11_HI                  0X572
#define VCELL11_LO                  0X573
#define VCELL10_HI                  0X574
#define VCELL10_LO                  0X575
#define VCELL9_HI                   0X576
#define VCELL9_LO                   0X577
#define VCELL8_HI                   0X578
#define VCELL8_LO                   0X579
#define VCELL7_HI                   0X57A
#define VCELL7_LO                   0X57B
#define VCELL6_HI                   0X57C
#define VCELL6_LO                   0X57D
#define VCELL5_HI                   0X57E
#define VCELL5_LO                   0X57F
#define VCELL4_HI                   0X580
#define VCELL4_LO                   0X581
#define VCELL3_HI                   0X582
#define VCELL3_LO                   0X583
#define VCELL2_HI                   0X584
#define VCELL2_LO                   0X585
#define VCELL1_HI                   0X586
#define VCELL1_LO                   0X587
#define BUSBAR_HI                   0X588
#define BUSBAR_LO                   0X589
#define CURRENT_HI                  0X58A
#define CURRENT_LO                  0X58B
#define TSREF_HI                    0X58C
#define TSREF_LO                    0X58D
#define GPIO1_HI                    0X58E
#define GPIO1_LO                    0X58F
#define GPIO2_HI                    0X590
#define GPIO2_LO                    0X591
#define GPIO3_HI                    0X592
#define GPIO3_LO                    0X593
#define GPIO4_HI                    0X594
#define GPIO4_LO                    0X595
#define GPIO5_HI                    0X596
#define GPIO5_LO                    0X597
#define GPIO6_HI                    0X598
#define GPIO6_LO                    0X599
#define GPIO7_HI                    0X59A
#define GPIO7_LO                    0X59B
#define GPIO8_HI                    0X59C
#define GPIO8_LO                    0X59D
#define DIETEMP1_HI                 0X5AE
#define DIETEMP1_LO                 0X5AF
#define DIETEMP2_HI                 0X5B0
#define DIETEMP2_LO                 0X5B1
#define AUX_CELL_HI                 0X5B2
#define AUX_CELL_LO                 0X5B3
#define AUX_GPIO_HI                 0X5B4
#define AUX_GPIO_LO                 0X5B5
#define AUX_BAT_HI                  0X5B6
#define AUX_BAT_LO                  0X5B7
#define AUX_REFL_HI                 0X5B8
#define AUX_REFL_LO                 0X5B9
#define AUX_VBG2_HI                 0X5BA
#define AUX_VBG2_LO                 0X5BB
#define AUX_LPBG5_HI                0X5BC
#define AUX_LPBG5_LO                0X5BD
#define AUX_AVAO_REF_HI             0X5BE
#define AUX_AVAO_REF_LO             0X5BF
#define AUX_AVDD_REF_HI             0X5C0
#define AUX_AVDD_REF_LO             0X5C1
#define AUX_OV_DAC_HI               0X5C2
#define AUX_OV_DAC_LO               0X5C3
#define AUX_UV_DAC_HI               0X5C4
#define AUX_UV_DAC_LO               0X5C5
#define AUX_OT_OTCB_DAC_HI          0X5C6
#define AUX_OT_OTCB_DAC_LO          0X5C7
#define AUX_UT_DAC_HI               0X5C8
#define AUX_UT_DAC_LO               0X5C9
#define AUX_VCBDONE_DAC_HI          0X5CA
#define AUX_VCBDONE_DAC_LO          0X5CB
#define AUX_VCM1_HI                 0X5CC
#define AUX_VCM1_LO                 0X5CD
#define VCM2_HI                     0X5CE
#define VCM2_LO                     0X5CF
#define DEBUG_COMM_STAT             0X780
#define DEBUG_UART_RC               0X781
#define DEBUG_UART_RR_TR            0X782
#define DEBUG_COMH_BIT              0X783
#define DEBUG_COMH_RC               0X784
#define DEBUG_COMH_RR_TR            0X785
#define DEBUG_COML_BIT              0X786
#define DEBUG_COML_RC               0X787
#define DEBUG_COML_RR_TR            0X788
#define DEBUG_UART_DISCARD          0X789
#define DEBUG_COMH_DISCARD          0X78A
#define DEBUG_COML_DISCARD          0X78B
#define DEBUG_UART_VALID_HI         0X78C
#define DEBUG_UART_VALID_LO         0X78D
#define DEBUG_COMH_VALID_HI         0X78E
#define DEBUG_COMH_VALID_LO         0X78F
#define DEBUG_COML_VALID_HI         0X790
#define DEBUG_COML_VALID_LO         0X791
#define DEBUG_OTP_SEC_BLK           0X7A0
#define DEBUG_OTP_DED_BLK           0X7A1

#endif /* A0_REG_H_ */